% This file illustrates reading and displaying data 
% from SquigglyMorph-generated text file 

%------------------< open and read text file with data >-------------------
fid=fopen('saved_as_text.txt','r');

fgetl(fid); 
param=str2num(fgetl(fid)); 
fgetl(fid);
data=zeros(500,8);
cnt=0;
while ~feof(fid)
    cnt=cnt+1;
    data(cnt,:)=str2num(fgetl(fid));
end
T=cnt;
data=data(1:T,:); 

CrRat=param(3);
CrPol=param(4);
index=param(5);
lag=param(6);
smo=param(7);

time=data(:,2);
MSD=data(:,3);

Pol=data(:,4);
Rat=data(:,5);
PolR=data(:,6);
RatR=data(:,7);
Type=data(:,8);
%--------------------------------------------------------------------------

%--------------------< display results in a figureu >----------------------
YLIM=[1.1*min(RatR)-0.1*max(RatR) 1.1*max(RatR)-0.1*min(RatR)];
XLIM=[1.1*min(PolR)-0.1*max(PolR) 1.1*max(PolR)-0.1*min(PolR)];
col={'c','y','m','g','b','r'};
% cyan:      uniform spreading
% yellow:    uniform shrinking
% magenta:   polarized spreading
% green:     polarized shrinking
% blue:      polarized movement
% red:       steady change
    
figure;
s=subplot(2,3,1);
hold on;
plot(time,PolR,'b');
plot(time,Pol,'r','LineWidth',2);
plot([time(1) time(end)],[CrPol CrPol],'k:');
xlabel('time');
title('Polarization parameter');
set(s,'Box','on','XLim',[time(1) time(end)],'YLim',XLIM);

s=subplot(2,3,2);
hold on;
plot(time,RatR,'b');
plot(time,Rat,'r','LineWidth',2);
plot([time(1) time(end)],[CrRat CrRat],'k:');
xlabel('time');
title('Rate of area change');
set(s,'Box','on','XLim',[time(1) time(end)],'YLim',YLIM);

YLIM=[1.1*min(RatR)-0.1*max(RatR) 1.1*max(RatR)-0.1*min(RatR)];
XLIM=[1.1*min(PolR)-0.1*max(PolR) 1.1*max(PolR)-0.1*min(PolR)];

s=subplot(2,3,3);
hold on;
plot(Pol,Rat,'bo-','LineWidth',2,'MarkerFaceColor','w','MarkerSize',4);
plot(XLIM,+[CrRat CrRat],'k:');
plot(XLIM,-[CrRat CrRat],'k:');
plot([CrPol CrPol],YLIM,'k:');
xlabel('Polarization parameter');
ylabel('Rate of area change');
set(s,'Box','on','XLim',XLIM,'YLim',YLIM);

s=subplot(2,1,2);
hold on;
for i=1:T
   fill([i-0.5 i+0.5 i+0.5 i-0.5 i-0.5],[0 0 7 7 0],col{Type(i)},'EdgeColor','none'); 
end
set(s,'Box','on','YLim',[0 7],'XLim',[0.5 T+0.5],'YTick',[],'DataAspectRatio',[T 10*7 1]);
title(['Polariazation index # ' num2str(index) ', lag = ' num2str(lag) ', smothing window = ' num2str(smo)]);
