function save_results_as_text(file,path,handles)

    if handles.unprocessed
        %disp('Parameters are not specified. Text file is not created');
        return;
    end

    t_scale = str2double(get(handles.edit2,'String'));
    x_scale = str2double(get(handles.edit1,'String'));
    Rcr = handles.CRvalues(1);
    Pcr = handles.CRvalues(handles.Index+1);
    %Rcr = handles.SLV2(round(get(handles.slider2,'Value')));
    %Pcr = handles.SLV3(round(get(handles.slider3,'Value')));
       
    if handles.Index==1;
        Y=handles.P1y;
        YRaw = handles.P1Raw;
    elseif handles.Index==2;
        Y=handles.Ky;
        YRaw = handles.KRaw;        
    elseif handles.Index==3;
        Y=handles.Py;
        YRaw = handles.PRaw;  
        %Y=handles.Vy;
        %YRaw = handls.VRaw;        
    elseif handles.Index==4;
        Y=handles.Uy;
        YRaw = handles.URaw;
    elseif handles.Index==5;
        Y=handles.P5y;
        YRaw = handles.P5Raw;
    elseif handles.Index==6;
        Y=handles.P6y;
        YRaw = handles.P6Raw;    
    end
        
    NUM_EL = length(Y);
    cx = zeros(1,NUM_EL);
    cy = zeros(1,NUM_EL);
    type = zeros(1,NUM_EL); 
    [GX,GY]=meshgrid(1:size(handles.frames{1},2),1:size(handles.frames{1},1));
    for i = 1:NUM_EL
        image = handles.frames{i};
        MX= image.*GX;
        MY = image.*GY;
        Mass = sum(image(:));
        cx(i) = sum(MX(:))/Mass;
        cy(i) = sum(MY(:))/Mass;
        
        if Y(i)<Pcr && handles.dB(i)>Rcr
            type(i)=1;
        elseif Y(i)>Pcr && handles.dB(i)>Rcr
            type(i)=2;
        elseif Y(i)<Pcr && handles.dB(i)<-Rcr
            type(i)=3;
        elseif Y(i)>Pcr && handles.dB(i)<-Rcr
            type(i)=4;
        elseif Y(i)>Pcr 
            type(i)=5;
        else
            type(i)=6;
        end
    end
    
    msdM = zeros(1,NUM_EL);
    msdS = zeros(1,NUM_EL);
    msdE = zeros(1,NUM_EL);
    for lag=1:(NUM_EL-1)
        v=zeros(1,NUM_EL-lag);
        cnt=0;
        for i=1:(NUM_EL-lag)
            if ~isnan(cx(i)) && ~isnan(cx(i+lag))
                cnt=cnt+1;
                v(cnt)=(cx(i+lag)-cx(i))^2+(cy(i+lag)-cy(i))^2;
            end
        end
        if cnt>0
            v=x_scale^2*v(1:cnt);
            msdM(lag+1)=mean(v);
            msdS(lag+1)=std(v);
            msdE(lag+1)=msdS(lag+1)/sqrt(cnt);

        else
            msdM(lag+1)=NaN;
            msdS(lag+1)=NaN;
            msdE(lag+1)=NaN;
        end

    end
    tim=(0:(NUM_EL-1))*t_scale;
        
    try
        Equation = fittype('2*S^2*P*(x - P*(1 - exp(-x/P)))');
        MSD_Fit = fit(tim',msdM',Equation);
        coeffs = coeffvalues(MSD_Fit);
    catch
        eqn = fittype('a*x^2-b*x^3');
        prefit = fit(tim',msdM',eqn);
        a=coeffvalues(prefit);
        S=sqrt(a(1));
        P=a(1)/a(2)/3;
        opt=fitoptions('Method','NonlinearLeastSquares','Startpoint',[S P]);
        try
            Equation = fittype('2*S^2*P*(x - P*(1 - exp(-x/P)))','options',opt);
            MSD_Fit = fit(tim',msdM',Equation);
            coeffs = coeffvalues(MSD_Fit);
        catch
            coeffs = [1 1];
        end
    end
    
    fid = fopen([path file],'wt');
    fprintf(fid, '___S___ \t ___P___ \t __Rcr__ \t __Pcr__ \t _Index_ \t __Lag__ \t __Smo__ \n');
    fprintf(fid,'% 3.4f \t % 3.4f \t % 3.4f \t % 3.4f \t % 3.4f \t % 3.4f \t % 3.4f\n',...
        coeffs(1),coeffs(2),Rcr,Pcr,handles.Index,handles.lag,handles.smo);
    
    fprintf(fid, '_Frame_ \t _Time__ \t __MSD__ \t __Pol__ \t ___R___ \t Pol_Raw \t _R_Raw_ \t _Type__ \n');
    for i = 1:NUM_EL
        fprintf(fid,'% 3.4f \t % 3.4f \t % 3.4f \t % 3.4f \t % 3.4f \t % 3.4f \t % 3.4f \t % 3.4f\n',i,tim(i),msdM(i),Y(i),handles.dB(i),YRaw(i),handles.dBRaw(i),type(i));
    end
    fclose(fid);